#### D.15.24.1 schreyerSyzExt

Procedure from library `sresext.lib` (see sresext_lib).

Usage:
  schreyerSyzExt(m); m a module over the exterior algebra.

Return:
  module

Purpose:
  computes the syzygy module of a m over the exterior algebra.

Theory:

Example:

    LIB "sresext.lib";
    ring r = (0,q),(x,y,z),dp;
    def e = Exterior(); setring e;
    vector f1 = [x,y,0,z,0,0];
    vector f2 = [0,x,y,0,z,0];
    vector f3 = [0,0,0,x,y,z];
    module m = f1,f2,f3;
    m = std(m);
    schreyerSyzExt(m);
    ==> _[1]=-x*gen(1)-y*gen(2)-z*gen(3)
    ==> _[2]=-x*gen(2)+gen(4)
    ==> _[3]=-x*gen(4)
    ==> _[4]=-x*gen(3)+gen(5)
    ==> _[5]=-x*gen(5)
    ==> _[6]=-x*gen(6)
    ==> _[7]=y*gen(4)+z*gen(5)
    ==> _[8]=y*gen(5)+gen(6)
    ==> _[9]=y*gen(6)
    ==> _[10]=-z*gen(6)

See also: mresExt; sresExt.

User manual for Singular version 4.4.1, 2025, generated by texi2html.